<?php
class VLDHora extends Zend_Validate_Abstract{
	
	const INVALIDO  = 'invalido';

	protected $_messageTemplates = array(
			self::INVALIDO => "'%value%' El formato de la hora no es correcto"
	);
	
	public function isValid($value)
	{
		$this->_setValue($value);
	
		$isValid = true;
	
		if (!(preg_match ( '#([0-9]{2}):([0-9]{2})#', $value ) && strlen($value)== 5)) {
			$this->_error(self::INVALIDO);
			$isValid = false;
		}
	
		
		return $isValid;
	}
}